xcb_input_xi_set_focus(3)

NAME
xcb_input_xi_set_focus -

SYNOPSIS
#include <xcb/xinput.h>

  Request function

xcb_void_cookie_t xcb_input_xi_set_focus(xcb_connection_t *conn, xcb_window_t window, xcb_timestamp_t time, xcb_input_device_id_t deviceid);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

window
    TODO: NOT YET DOCUMENTED.

time
    TODO: NOT YET DOCUMENTED.

deviceid
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop.

If you want to handle errors directly with xcb_request_check instead, use xcb_input_xi_set_focus_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xinput.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.